Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19631/?format=api
{ "ob_id": 19631, "uuid": "417421c2c5c84befaf485ffdeabf2541", "title": "Met Office stratospheric assimilated: Upper Atmosphere Research Satellite (UARS) assimilated data 1991 to 1992", "abstract": "The Upper Atmosphere Research Satellite (UARS) was the first major element in NASA's Mission to Planet Earth. It was designed to make a systematic study of the stratosphere and provide new data on the mesosphere and thermosphere. The satellite was launched on 12th September 1991. \r\n\r\nThis dataset contains standard data concerning stratospheric temperature, geopotential height and wind components produced by the upper atmosphere research satellite data assimilation system at the UK Met Office.\r\n\r\nThe data assimilation system is a development of the scheme used at the Met Office for operational weather forecasting, which has been extended to cover the stratosphere. The primary product is a daily analysis (at 1200 UTC) which is produced using operational observations only. For short periods of particular interest the analyses are available at 6-hourly intervals. Assimilation experiments using UARS (Upper Atmosphere Research Satellite) data in addition to operational meteorological observations have been carried out for limited periods.", "keywords": "Met Office, meteorology, statospheric", "publicationState": "published", "dataPublishedTime": "2006-12-10T15:28:59", "doiPublishedTime": null, "updateFrequency": "unknown", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19632/?format=api", "dataPath": "/badc/ukmo-assim/data/uars_assim", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1025248847, "numberOfFiles": 331, "fileFormat": "Data are PP formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5164/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/2731/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21780/?format=api" ], "dataLineage": "Data received from the Met Office", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/555/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4348/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74425/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74426/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74427/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74429/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74430/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74431/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74432/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74428/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74433/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/169563/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/19634/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }